const { DataTypes } = require("sequelize");
const sequelize = require("./config");

const AssignSite = sequelize.define("assign_site_brokers", {
  broker_id: {
    type: DataTypes.INTEGER,
    allowNull: false,
  },
  site_ids: {
    type: DataTypes.JSON, // Store array as JSON
    allowNull: true,
  },
});

module.exports = AssignSite;
